---
title: Symbol.prototype.description
slug: Web/JavaScript/Reference/Global_Objects/Symbol/description
tags:
  - JavaScript
  - Property
  - Prototype
  - Symbol
---
<div>{{JSRef}}</div>

<p>The read-only <code><strong>description</strong></code> property is a string returning the optional description of {{JSxRef("Symbol")}} objects.</p>

<div>{{EmbedInteractiveExample("pages/js/symbol-prototype-description.html")}}</div>

<h2 id="Description">Description</h2>

<p>{{JSxRef("Symbol")}} objects can be created with an optional description which can be used for debugging but not to access the symbol itself. The <code>Symbol.prototype.description</code> property can be used to read that description. It is different to <code>Symbol.prototype.toString()</code> as it does not contain the enclosing "<code>Symbol()</code>" string. See the examples.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_description">Using description</h3>

<pre class="brush: js">Symbol('desc').toString();   // "Symbol(desc)"
Symbol('desc').description;  // "desc"
Symbol('').description;      // ""
Symbol().description;        // undefined

// well-known symbols
Symbol.iterator.toString();  // "Symbol(Symbol.iterator)"
Symbol.iterator.description; // "Symbol.iterator"

// global symbols
Symbol.for('foo').toString();  // "Symbol(foo)"
Symbol.for('foo').description; // "foo"

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName("ESDraft", "#sec-symbol.prototype.description", "get Symbol.prototype.description")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.description")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{JSxRef("Symbol.prototype.toString()")}}</li>
 <li>Polyfill: <a href="https://npmjs.com/symbol.prototype.description">https://npmjs.com/symbol.prototype.description</a></li>
</ul>
